
struct utmp utmp_entry;

#ifndef UT_NAMESIZE
# define UT_NAMESIZE	    sizeof(utmp_entry.ut_name)
#endif

#ifndef UT_LINESIZE
# define UT_LINESIZE	    sizeof(utmp_entry.ut_line)
#endif

#ifndef UT_HOSTSIZE
# ifdef _HAVE_UT_HOST
#  define UT_HOSTSIZE	    sizeof(utmp_entry.ut_host)
# else
#  define UT_HOSTSIZE       0
# endif
#endif

#ifndef UTMP_FILE
# ifdef _PATH_UTMP /* newer BSD's */
#  define UTMP_FILE _PATH_UTMP
# else
#  define UTMP_FILE "/etc/utmp"
# endif
#endif

#ifndef WTMP_FILE
# ifdef _PATH_WTMP /* newer BSD's */
#  define WTMP_FILE _PATH_WTMP
# else
#  define WTMP_FILE "/etc/wtmp"
# endif
#endif

/*
#ifndef _HAVE_UT_TYPE
# define EMPTY 0
# define RUN_LVL EMPTY
# define BOOT_TIME EMPTY
# define NEW_TIME EMPTY
# define OLD_TIME EMPTY
# define INIT_PROCESS EMPTY
# define LOGIN_PROCESS EMPTY
# define USER_PROCESS 7
# define DEAD_PROCESS EMPTY
# define ACCOUNTING EMPTY
# define UT_UNKNOWN EMPTY
#endif
*/

#ifndef EMPTY
# define EMPTY 0
#endif

#ifndef RUN_LVL
# define RUN_LVL EMPTY
#endif

#ifndef BOOT_TIME
# define BOOT_TIME EMPTY
#endif

#ifndef NEW_TIME
# define NEW_TIME EMPTY
#endif

#ifndef OLD_TIME
# define OLD_TIME EMPTY
#endif

#ifndef INIT_PROCESS
# define INIT_PROCESS EMPTY
#endif

#ifndef LOGIN_PROCESS
# define LOGIN_PROCESS EMPTY
#endif

#ifndef USER_PROCESS
# define USER_PROCESS 7
#endif

#ifndef DEAD_PROCESS
# define DEAD_PROCESS EMPTY
#endif

#ifndef ACCOUNTING
# define ACCOUNTING EMPTY
#endif

#ifndef UT_UNKNOWN
# define UT_UNKNOWN EMPTY
#endif
